apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: {{ fluentd_name }}
rules:
- apiGroups:
{% if k8s_flavor == 'kubernetes' %}
  - policy
  resources:
  - podsecuritypolicies
{% else %}
  - security.openshift.io
  resources:
  - securitycontextconstraints
{% endif %}
  resourceNames:
  - privileged-{{ namespace }}-{{ fluentd_name }}
  verbs:
  - use
- apiGroups:
  - ""
  resources:
  - pods
  - namespaces
  verbs:
  - get
  - list
  - watch
